package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjZtxx;

/**
 * 设计-钻头选型Mapper接口
 * 
 * @author
 * @date 2025-08-18
 */
public interface SjZtxxMapper 
{
    /**
     * 查询设计-钻头选型
     * 
     * @param id 设计-钻头选型主键
     * @return 设计-钻头选型
     */
    public SjZtxx selectSjZtxxById(Long id);

    /**
     * 查询设计-钻头选型列表
     * 
     * @param sjZtxx 设计-钻头选型
     * @return 设计-钻头选型集合
     */
    public List<SjZtxx> selectSjZtxxList(SjZtxx sjZtxx);

    /**
     * 新增设计-钻头选型
     * 
     * @param sjZtxx 设计-钻头选型
     * @return 结果
     */
    public int insertSjZtxx(SjZtxx sjZtxx);

    /**
     * 修改设计-钻头选型
     * 
     * @param sjZtxx 设计-钻头选型
     * @return 结果
     */
    public int updateSjZtxx(SjZtxx sjZtxx);

    /**
     * 删除设计-钻头选型
     * 
     * @param id 设计-钻头选型主键
     * @return 结果
     */
    public int deleteSjZtxxById(Long id);

    /**
     * 批量删除设计-钻头选型
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjZtxxByIds(Long[] ids);

    int deleteSjZtxxByZtxx(SjZtxx sjZtxx);

}
